<?php



class DestinosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DestinosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('DESTINOS');
		$tMap->setPhpName('Destinos');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('CODMUN', 'Codmun', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addForeignPrimaryKey('ID_COMISION', 'IdComision', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addColumn('ORDEN', 'Orden', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('OBSERVACION', 'Observacion', 'string', CreoleTypes::VARCHAR, false, 600);

		$tMap->addForeignPrimaryKey('VIGENCIA', 'Vigencia', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addForeignKey('CODDEPTO', 'Coddepto', 'string', CreoleTypes::VARCHAR, 'DEPARTAMENTOS', 'CODDEPTO', false, 20);

	} 
} 